/**
 * Diese Klasse ist zur Erzeugung eines Rechtecks
 * 
 * @author Dr.-Ing. U. Kiesmüller
 * @version lauffähige erste Version
 */

public class Rechteck
{
    // Variablendeklaration  
    private int xStart, yStart, breite, hoehe, farbnr;

    /**
     * Konstruktor für ein Rechteck mit wählbarer linker oberer Ecke,
     * wählbarer Breite und Höhe sowie wählbarer Farbe
     * 
     * @param xS X-Koordinate der linken oberen Ecke des Rechtecks
     * @param yS Y-Koordinate der linken oberen Ecke des Rechtecks
     * @param breiteStart Breite des Rechtecks
     * @param hoeheStart Höhe des Rechtecks
     * @param farbnrStart Farbnummer der Rechtecksfarbe
     * 
     */
    public Rechteck(int xS, int yS, int breiteStart, int hoeheStart, int farbnrStart)
    {
        xStart = xS;
        yStart = yS;
        breite = breiteStart;
        hoehe = hoeheStart;
        farbnr = farbnrStart;
    }
    
    /**
     * Methode zur Abfrage der x-Koordinate der linken oberen Rechtecksecke
     * 
     * @return xStart X-Koordinate der linken oberen Rechtecksecke
     */
    public int gibXStart()
    {
        return xStart;
    }
    
    
    /**
     * Methode zur Abfrage der y-Koordinate der linken oberen Rechtecksecke
     * 
     * @return yStart Y-Koordinate der linken oberen Rechtecksecke
     */
    public int gibYStart()
    {
        return yStart;
    }
    
    
    /**
     * Methode zur Abfrage der Rechtecksbreite
     * 
     * @return breite Breite des Rechtecks
     */
    public int gibBreite()
    {
        return breite;
    }
    
    
    /**
     * Methode zur Abfrage der Rechteckshöhe
     * 
     * @return hoehe Höhe des Rechtecks
     */
    public int gibHoehe()
    {
        return hoehe;
    }
    
    /**
     * Methode zur Abfrage der Rechtecksfarbe
     * 
     * @return farbnr Farbnummer der Rechtecksfarbe
     */
    public int gibFarbnr()
    {
        return farbnr;
    }
}
